# Class ConfigModel

Object used to expose all the Configurations we get from the dynamic.json.

If you are in an element that extends BaseElement you just need to implement the `initConfig` to get the configuration.

Example of usage:

       (window as any).gmfapi.store.config.getConfig().subscribe({
         next: (configuration: Configuration) => {
           if (configuration) {
             ...
           }
         },
       })

#### Hierarchy

- ConfigModel

- Defined in config.ts:1483

#####
Index

### Constructors

constructor

### Methods

getConfig
setConfig

## Constructors

### constructor

- new ConfigModel(): ConfigModel

- #### Returns ConfigModel

## Methods

### getConfig

- getConfig(): BehaviorSubject<Configuration>

- ### Returns

  the configuration.

  #### Returns BehaviorSubject<Configuration>

  - Defined in config.ts:1494

### setConfig

- setConfig(config: Configuration): void

- Set the configuration.

  #### Parameters

  - ##### config: Configuration

    the configuration

  #### Returns void

  - Defined in config.ts:1503

Generated using TypeDoc